diff --git a/server/src/test/java/org/elasticsearch/indices/mapping/SimpleGetFieldMappingsIT.java b/server/src/test/java/org/elasticsearch/indices/mapping/SimpleGetFieldMappingsIT.java
index 0e2e230053cd2..e344f15f3c55f 100644
--- a/server/src/test/java/org/elasticsearch/indices/mapping/SimpleGetFieldMappingsIT.java
+++ b/server/src/test/java/org/elasticsearch/indices/mapping/SimpleGetFieldMappingsIT.java
@@ -147,8 +147,7 @@ public void testGetFieldMappings() throws Exception {
     @SuppressWarnings("unchecked")
     public void testSimpleGetFieldMappingsWithDefaults() throws Exception {
         assertAcked(prepareCreate("test").addMapping("type", getMappingForType("type")));
-
-        client().prepareIndex("test", "type", "1").setSource("num", 1).get();
+        client().admin().indices().preparePutMapping("test").setType("type").setSource("num", "type=long").get();
 
         GetFieldMappingsResponse response = client().admin().indices().prepareGetFieldMappings()
             .setFields("num", "field1", "obj.subfield").includeDefaults(true).get();
